------------------------------------------------------------------------------------------
-- Load and save file
-- Written by Homeopatix
-- 7 january 2021
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- create or load the settings
------------------------------------------------------------------------------------------
function LoadSettings()
	local _settings = PatchDataLoad(Turbine.DataScope.Character, "Potions_Settings", settings);
    if (_settings ~= nil) then 
		settings = _settings; 
	end

	------------------------------------------------------------------------------------------
	--- adding new vars in the settings file ---
------------------------------------------------------------------------------------------
	if( not settings.isLocked or
    not settings.altEnable or
    not settings.alwaysShow)then
    settings = {
        windowPosition = { 
            xPos = 500, 
            yPos = 500 
        },
        optionsWindowPosition = { 
            xPos = 500, 
            yPos = 500 
        },
        IconPosition = { 
            xPosIcon = 500, 
            yPosIcon = 500 
        },
        shortcuts = { 
            Data1 = "", 
            Data2 = "",
            Data3 = "", 
            Data4 = "", 
            Data5 = "",
            Data6 = "", 
            Data7 = "",
            Data8 = "",
            Data9 = "",
            Data10 = "",
            Data11 = "",
            Data12 = "",
            Data13 = "",
            Data14 = "",
            Data15 = "",
            Data16 = "",
            Data17 = "",
            Data18 = "",
            Data19 = "",
            Data20 = "",
            Type1 = "",
            Type2 = "",
            Type3 = "",
            Type4 = "",
            Type5 = "",
            Type6 = "",
            Type7 = "",
            Type8 = "",
            Type9 = "",
            Type10 = "",
            Type11 = "",
            Type12 = "",
            Type13 = "",
            Type14 = "",
            Type15 = "",
            Type16 = "",
            Type17 = "",
            Type18 = "",
            Type19 = "",
            Type20 = ""
        },
        isMinimizeEnabled = { 
            isMinimizeEnabled = true 
        },
        isWindowVisible = { 
            isWindowVisible = true 
        },
        isOptionsWindowVisible = { 
            isOptionsWindowVisible = false 
        },
        escEnable = { 
            escEnable = false 
        },
        altEnable = { 
            altEnable = false 
        },
            useRandomMont = { 
            value = false 
        },
        borderShow = {
            value = true
        },
        alwaysShow = {
            value = false
        },
        nbrSlots = { 
            nbr = 4
        },
        isLocked = { 
            value = true
        },
        nbrLine = { 
            nbr = 1 
        }
    };                                                                                      
    end
end
------------------------------------------------------------------------------------------
-- create the save settings
------------------------------------------------------------------------------------------
function SaveSettings()
	settings["windowPosition"]["xPos"] = tostring(PotionsWindow:GetLeft());
    settings["windowPosition"]["yPos"] = tostring(PotionsWindow:GetTop());
	settings["optionsWindowPosition"]["xPos"] = tostring(OptionsWindow:GetLeft());
	settings["optionsWindowPosition"]["yPos"] = tostring(OptionsWindow:GetTop());
    settings["IconPosition"]["xPosIcon"] = tostring(MainMinimizedIcon:GetLeft());
   	settings["IconPosition"]["yPosIcon"] = tostring(MainMinimizedIcon:GetTop());
	settings["isMinimizeEnabled"]["isMinimizeEnabled"] = settings["isMinimizeEnabled"]["isMinimizeEnabled"];
	settings["isWindowVisible"]["isWindowVisible"] = settings["isWindowVisible"]["isWindowVisible"];
    settings["isOptionsWindowVisible"]["isOptionsWindowVisible"] = settings["isOptionsWindowVisible"]["isOptionsWindowVisible"];
	settings["escEnable"]["escEnable"] = settings["escEnable"]["escEnable"];
    settings["altEnable"]["altEnable"] = settings["altEnable"]["altEnable"];
	settings["useRandomMont"]["value"] = settings["useRandomMont"]["value"];
    settings["borderShow"]["value"] = settings["borderShow"]["value"];
    settings["alwaysShow"]["value"] = settings["alwaysShow"]["value"];
    settings.isLocked = settings.isLocked;


	for i=1, 7 do
		settings["shortcuts"]["Data" .. i] = settings["shortcuts"]["Data" .. i];
	end

	settings["shortcuts"]["Type"] = settings["shortcuts"]["Type"];

	settings["nbrLine"]["nbr"] = tonumber(settings["nbrLine"]["nbr"]);
	settings["nbrSlots"]["nbr"] = tonumber(settings["nbrSlots"]["nbr"]);

	------------------------------------------------------------------------------------------
    -- save the settings --
    ------------------------------------------------------------------------------------------
	PatchDataSave( Turbine.DataScope.Character, "Potions_Settings", settings);
end